Package dev.plex.util.minimessage

# Class SafeMiniMessage.SafeMiniMessageTagResolver

java.lang.Object
dev.plex.util.minimessage.SafeMiniMessage.SafeMiniMessageTagResolver

All Implemented Interfaces:
  `net.kyori.adventure.text.minimessage.tag.resolver.TagResolver`

Enclosing class:
  SafeMiniMessage

public static class SafeMiniMessage.SafeMiniMessageTagResolver extends Object implements net.kyori.adventure.text.minimessage.tag.resolver.TagResolver

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.kyori.adventure.text.minimessage.tag.resolver.TagResolver

`net.kyori.adventure.text.minimessage.tag.resolver.TagResolver.Builder, net.kyori.adventure.text.minimessage.tag.resolver.TagResolver.Single, net.kyori.adventure.text.minimessage.tag.resolver.TagResolver.WithoutArguments`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final List<String>`
`IGNORED_TAGS`
`private static final net.kyori.adventure.text.minimessage.tag.resolver.TagResolver`
`STANDARD_RESOLVER`

## Constructor Summary

Constructors
Constructor
Description
`SafeMiniMessageTagResolver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`has(@NotNull String name)`
`@Nullable net.kyori.adventure.text.minimessage.tag.Tag`
`resolve(@NotNull String name, @NotNull net.kyori.adventure.text.minimessage.tag.resolver.ArgumentQueue arguments, @NotNull net.kyori.adventure.text.minimessage.Context ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STANDARD_RESOLVER

private static final net.kyori.adventure.text.minimessage.tag.resolver.TagResolver STANDARD_RESOLVER

### IGNORED_TAGS

private static final List<String> IGNORED_TAGS

## Constructor Details

### SafeMiniMessageTagResolver

public SafeMiniMessageTagResolver()

## Method Details

### resolve

@Nullable public @Nullable net.kyori.adventure.text.minimessage.tag.Tag resolve(@NotNull @NotNull String name, @NotNull @NotNull net.kyori.adventure.text.minimessage.tag.resolver.ArgumentQueue arguments, @NotNull @NotNull net.kyori.adventure.text.minimessage.Context ctx) throws net.kyori.adventure.text.minimessage.ParsingException

Specified by:
  `resolve` in interface `net.kyori.adventure.text.minimessage.tag.resolver.TagResolver`
Throws:
  `net.kyori.adventure.text.minimessage.ParsingException`

### has

public boolean has(@NotNull @NotNull String name)

Specified by:
  `has` in interface `net.kyori.adventure.text.minimessage.tag.resolver.TagResolver`